"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.queryListFilters = exports.filterQueryOptions = exports.QueryFilters = void 0;
let QueryFilters = exports.QueryFilters = /*#__PURE__*/function (QueryFilters) {
  QueryFilters["queryKey"] = "query key";
  QueryFilters["reducerPath"] = "reducerPath";
  QueryFilters["endpointName"] = "endpoint";
  QueryFilters["status"] = "status";
  return QueryFilters;
}({});
function filterByQueryKey(regex, list) {
  if (!regex) {
    return list;
  }
  return list.filter(RtkResourceInfo => regex.test(RtkResourceInfo.queryKey));
}
function filterByReducerPath(regex, list) {
  if (!regex) {
    return list;
  }
  return list.filter(RtkResourceInfo => regex.test(RtkResourceInfo.reducerPath));
}
function filterByEndpointName(regex, list) {
  if (!regex) {
    return list;
  }
  return list.filter(RtkResourceInfo => regex.test(RtkResourceInfo.state.endpointName ?? 'undefined'));
}
function filterByStatus(regex, list) {
  if (!regex) {
    return list;
  }
  return list.filter(RtkResourceInfo => regex.test(RtkResourceInfo.state.status));
}
const filterQueryOptions = exports.filterQueryOptions = [{
  label: 'query key',
  value: QueryFilters.queryKey
}, {
  label: 'reducerPath',
  value: QueryFilters.reducerPath
}, {
  label: 'status',
  value: QueryFilters.status
}, {
  label: 'endpoint',
  value: QueryFilters.endpointName
}];
const queryListFilters = exports.queryListFilters = {
  [QueryFilters.queryKey]: filterByQueryKey,
  [QueryFilters.endpointName]: filterByEndpointName,
  [QueryFilters.reducerPath]: filterByReducerPath,
  [QueryFilters.status]: filterByStatus
};